import React from "react";
import { IMessage, ISocketUser } from "../types";
type SocketContextType = {
    connectedUsers: ISocketUser[];
    connect: (user: ISocketUser) => void;
    getMessages: (userId?: string) => IMessage[];
    sendMessage: (toId: string, message: string) => void;
    markRead: (toId: string, msgId: string) => void;
    markAllRead: (id: string) => void;
};
interface ISocketProvider {
    children: React.ReactNode;
    socketServerUrl: string;
}
export declare const SocketProvider: ({ children, socketServerUrl, }: ISocketProvider) => React.JSX.Element;
export declare const useSocketContext: () => SocketContextType;
export {};
